Scientific Linux 安全更新:SL5.x i386/x86_64 中的 mysql

high Nessus 插件 ID 60655

简介

远程 Scientific Linux 主机缺少一个或多个安全更新。

描述

CVE-2008-2079 mysql:通过 DATA/INDEX DIRECTORY 指令的权限升级

CVE-2008-3963 MySQL:使用空的二进制值导致服务器崩溃

CVE-2008-4456 mysql:mysql 命令行客户端 XSS 缺陷

CVE-2008-3963 MySQL:使用空的二进制值导致服务器崩溃

CVE-2009-2446 MySQL:通过使用数据库实例进行操纵而产生的格式字符串漏洞(崩溃)

MySQL 未正确检查用作 DATA DIRECTORY 和 INDEX DIRECTORY 指令的参数的目录。使用此缺陷后,经认证的攻击者可提升其对由其他数据库用户创建的表格的访问权限。注意:此攻击不会对现有表格起作用。攻击者仅可将其对其他用户的表格的访问权限提升至创建表格时的访问权限。同样,需要正确预测这些创建的表格的名称才能使此攻击成功。(CVE-2008-2079)

在 MySQL 处理空位串文本的方式中发现一个缺陷。
如果在 SQL 语句中使用了空位串文本,经认证的远程攻击者可以使 MySQL 服务器后台程序 (mysqld) 崩溃。
此问题仅造成临时拒绝服务,因为 MySQL 后台程序会在崩溃后自动重新启动。(CVE-2008-3963)

已在 mysql 命令行客户端的 HTML 输出模式中发现一个不充分的 HTML 实体引用缺陷。如果攻击者能够将任意 HTML 标记注入到 MySQL 数据库中存储的数据中,然后使用 mysql 命令行及其 HTML 输出模式来找回这些数据,则其可以针对在 Web 浏览器中查看 HTML 输出的受害者执行跨站脚本 (XSS) 攻击。
(CVE-2008-4456)

在 MySQL 服务器记录创建和删除数据库时的用户命令的方式中发现多种格式字符串缺陷。具有 CREATE 和 DROP 数据库权限的经认证的远程攻击者可以利用这些缺陷来设计特别构建的 SQL 命令,导致临时拒绝服务(与 mysqld 的开放连接被终止)。(CVE-2009-2446)

注意:要利用 CVE-2009-2446 缺陷,必须启用常规查询日志(mysqld“--log”命令行选项或“/etc/my.cnf”中的“log”选项)。默认情况下未启用此记录。

安装此更新后,MySQL 服务器后台程序 (mysqld) 将自动重新启动。

解决方案

更新受影响的程序包。

另见

http://www.nessus.org/u?590f95ba

插件详情

严重性: High

ID: 60655

文件名: sl_20090902_mysql_on_SL5_x.nasl

版本: 1.7

类型: local

代理: unix

发布时间: 2012/8/1

最近更新时间: 2021/1/14

支持的传感器: Nessus Agent

风险信息

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: High

基本分数: 8.5

矢量: AV:N/AC:M/Au:S/C:C/I:C/A:C

漏洞信息

CPE: x-cpe:/o:fermilab:scientific_linux

必需的 KB 项: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

补丁发布日期: 2009/9/2

参考资料信息

CVE: CVE-2008-2079, CVE-2008-3963, CVE-2008-4456, CVE-2009-2446

CWE: 79, 134, 264